
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.
@import "~@angular/material/prebuilt-themes/indigo-pink.css";

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$ideo-mobile-primary: mat-palette($mat-green);
$ideo-mobile-accent: mat-palette($mat-blue, A200, A100, A400);

// The warn palette is optional (defaults to red).
$ideo-mobile-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$ideo-mobile-theme: mat-light-theme($ideo-mobile-primary, $ideo-mobile-accent, $ideo-mobile-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($ideo-mobile-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

.mat-list-base {
    .mat-list-item.image {
        height: auto;    
        padding: 0;
        
        .mat-list-item-content {
            padding: 0;
        }

        img.mat-line {
            max-height: 50vh;
            overflow: hidden;
            object-fit: cover;
        }
    }
}

a.mat-list-item {
    text-decoration: none;
}

.icon-material {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: mat-color($ideo-mobile-primary, 600);
    color: mat-color($ideo-mobile-primary, '600-contrast');
}


.mat-drawer-inner-container {
    zoom: 0.9;
}